"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug_1 = __importDefault(require("debug"));
const commander_1 = require("commander");
const http_1 = require("./http");
debug_1.default.enable("http,player");
const packageJson = require("../package.json");
const program = new commander_1.Command();
program.name(packageJson.name);
program.version(packageJson.version);
program
    .option("-p, --port <port>", "specify port", "3000");
program.parse(process.argv);
console.log(`${packageJson.name} v${packageJson.version}`);
const http = new http_1.Http(parseInt(program.port));
http.start();
